Foreman - Refactor #33387

Drop view_tasks permission in core
09/01/2021 07:56 AM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Users, Roles and Permissions
Target version: 3.1.0
Difficulty: Fixed in Releases: 3.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8749
Description

it is not actually used anywhere AFAICT. foreman_tasks uses view_foreman_tasks permission.

Associated revisions

Revision 813b605d - 09/15/2021 07:58 AM - Tomer Brisker
Fixes #33387 - Remove view_tasks permission
This permission was present since the permission model was implemented

in acfbc45886¢c4 but wasn't really used anywhere. Foreman tasks uses a
different “view_foreman_tasks™ permission.

History

#1 - 09/01/2021 08:19 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8749 added

#2 - 09/15/2021 07:58 AM - The Foreman Bot
- Fixed in Releases 3.2.0 added

#3 - 09/15/2021 08:08 AM - Tomer Brisker
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|813b605d873b5b5473b470ff1befce7f5b5952cb.

#4 - 09/16/2021 10:41 AM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/foreman/pull/8749)
- Fixed in Releases 3.1.0 added

- Fixed in Releases deleted (3.2.0)

#5 - 09/16/2021 10:55 AM - Ewoud Kohl van Wijngaarden

- Subject changed from drop view _tasks permission in core to Drop view_tasks permission in core
- Target version set to 3.1.0

- Triaged changed from No to Yes

- Pull request https://github.com/theforeman/foreman/pull/8749 added

- Fixed in Releases deleted (3.1.0)

#6 - 10/05/2021 12:52 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 3.1.0 added
